This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 840003 - CVE-2012-2845 exif: Integer overflow, leading to DoS (buffer over-read and application crash) in jpeg_data_load_data routine [fedora-all]
CVE-2012-2845 exif: Integer overflow, leading to DoS (buffer over-read and ap...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: exif (Show other bugs)
16
All Linux
low Severity low
: ---
: ---
Assigned To: Matthieu Saulnier
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-2845
  Show dependency treegraph
 
Reported: 2012-07-13 08:42 EDT by Jan Lieskovsky
Modified: 2012-07-26 18:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:35:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-07-13 08:42:06 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=840002

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2012-07-16 21:15:51 EDT
exif-0.6.21-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/exif-0.6.21-1.fc17
Comment 2 Fedora Update System 2012-07-16 21:17:35 EDT
exif-0.6.21-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/exif-0.6.21-1.fc16
Comment 3 Fedora Update System 2012-07-19 05:07:11 EDT
Package exif-0.6.21-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exif-0.6.21-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10819/exif-0.6.21-1.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-26 18:35:24 EDT
exif-0.6.21-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-07-26 18:38:09 EDT
exif-0.6.21-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.